Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Interface ILinkPresentation

    com.change_vision.jude.api.inf.presentation.ILinkPresentation

All Superinterfaces:
  IEntity, IHyperlinkOwner, IPresentation

All Implemented Interfaces:
  IEntity, IHyperlinkOwner, IPresentation

    public ILinkPresentation

extends IPresentation

Interface for Link Presentation.

Method Summary
`abstract Point2D[]` | `getAllPoints()` Get points.
`abstract Point2D[]` | `getPoints()` Get points.
`abstract IPresentation` | `getSourceEnd()` Get Source.
`abstract IPresentation` | `getTargetEnd()` Get Target.
`abstract void` | `setAllPoints(Point2D[] points)` Set Points with the connection points in the rectangles.

Methods inherited from class com.change_vision.jude.api.inf.presentation.IPresentation
`getDepth, getDiagram, getID, getLabel, getModel, getProperties, getProperty, getType, setLabel, setProperties, setProperty`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSourceEnd

    abstract IPresentation getSourceEnd()

  Get Source.

  Returns:
    Source

### getTargetEnd

    abstract IPresentation getTargetEnd()

  Get Target.

  Returns:
    Target

### getPoints

    abstract Point2D[] getPoints()

  Get points.

  Returns:
    the array of points. Both end points are included.
  See Also:
    `getAllPoints()`

### getAllPoints

    abstract Point2D[] getAllPoints()

  Get points.

  Returns:
    the array of points. Both end points are included.

### setAllPoints

    abstract void setAllPoints(Point2D[] points)

  Set Points with the connection points in the rectangles.

  Parameters:
    `points` - The array of points. It should be more than 2 points because the connection points are included.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
                                    if the label is not edited for a presentation
                                    in Class/Object Diagram, UseCase Diagram, StateMachine Diagram and ER Diagram.
                                    if the specified points are invalid.
              INVALID_MULTIPLICITY_KEY - if the multiplicity is invalid.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD